org.red5.server.messaging

## Class PipeUtils

- java.lang.Object
- - org.red5.server.messaging.PipeUtils

    public class PipeUtils
    extends Object

Helper class for pipe structure.

Author:
  The Red5 Project (red5@osflash.org), Steven Gong (steven.gong@gmail.com)

### Constructor Summary

Constructors
Constructor and Description
`PipeUtils()`

### Method Summary

Methods
`static void` `connect(IProvider provider, IPipe pipe, IConsumer consumer)` Connect a provider/consumer with a pipe.
`static void` `disconnect(IProvider provider, IPipe pipe, IConsumer consumer)` Disconnect a provider/consumer from a pipe.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PipeUtils

    public PipeUtils()

### Method Detail

#### connect

    public static void connect(IProvider provider,
               IPipe pipe,
               IConsumer consumer)

Connect a provider/consumer with a pipe.

Parameters:
  `provider` - Provider
  `pipe` - Pipe that used to estabilish connection
  `consumer` - Consumer

#### disconnect

    public static void disconnect(IProvider provider,
                  IPipe pipe,
                  IConsumer consumer)

Disconnect a provider/consumer from a pipe.

Parameters:
  `provider` - Provider
  `pipe` - Pipe to disconnect from
  `consumer` - Consumer